Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.generators.base.Sifter

class `mvpa2.generators.base.``Sifter`(includes, *args, **kwargs)

  Exclude (do not generate) provided dataset on the values of the attributes.

  Notes

  Available conditional attributes:

  - `calling_time+`: Time (in seconds) it took to call the node
  - `raw_results`: Computed results before invoking postproc. Stored only if postproc is not None.

  (Conditional attributes enabled by default suffixed with `+`)

  Methods

  `generate`(ds) | Validate obtained dataset and yield if matches
  `get_postproc`() | Returns the post-processing node or None.
  `get_space`() | Query the processing space name of this node.
  `reset`() |
  `set_postproc`(node) | Assigns a post-processing node Set to `None` to disable postprocessing.
  `set_space`(name) | Set the processing space name of this node.

  Parameters:

  includes : list

  > List of tuples rules (attribute, uvalues) where all listed ‘uvalues’ must be present in the dataset. Matching samples or features get selected to proceed to the next rule in the list. If at some point not all listed values of the attribute are present, dataset does not pass through the ‘Sifter’. uvalues might also be a `dict`, see example above.

  enable_ca : None or list of str

  > Names of the conditional attributes which should be enabled in addition to the default ones

  disable_ca : None or list of str

  > Names of the conditional attributes which should be disabled

  space: str, optional :

  > Name of the ‘processing space’. The actual meaning of this argument heavily depends on the sub-class implementation. In general, this is a trigger that tells the node to compute and store information about the input data that is “interesting” in the context of the corresponding processing in the output dataset.

  postproc : Node instance, optional

  > Node to perform post-processing of results. This node is applied in `__call__()` to perform a final processing step on the to be result dataset. If None, nothing is done.

  descr : str

  > Description of the instance

  Methods

  `generate`(ds) | Validate obtained dataset and yield if matches
  `get_postproc`() | Returns the post-processing node or None.
  `get_space`() | Query the processing space name of this node.
  `reset`() |
  `set_postproc`(node) | Assigns a post-processing node Set to `None` to disable postprocessing.
  `set_space`(name) | Set the processing space name of this node.

  `generate`(ds)

    Validate obtained dataset and yield if matches

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »